Request a reputation or lead check
This endpoint allows you to place a number check request, that will be processed by our system.
It accepts a list of numbers and a check service id. The price for the check is determined by service's price and the amount of numbers passed.
The service_id parameter used in this request refers to the unique Reputation Check Service identifier. This ID is NOT arbitrary and must be obtained from the GET /api/v1/reputation/prices endpoint.
Each number will have its own individual result entity, but they all will be placed in the same group. The id of the group will be returned in the response.
If request was successful, the response will contain a group_id. But if there were incorrect numbers in your request, group_id will be empty and in the response you will receive a list of incorrect numbers, that caused a failure.
Header Parameters
Your API token
Request Body
application/json
Numbers check input, accepts a list of numbers and a number check service id
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://dev-refactor-api-e.voipenv.uk/api/v1/reputation/check" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"code": 0,
"data": {
"callback": {},
"checked_at": "string",
"created_at": "string",
"group_id": "string",
"id": 0,
"initiator": "undefined",
"is_error": true,
"is_refunded": true,
"is_spam": true,
"number": "string",
"request_id": "string",
"service": {
"category": "undefined",
"id": 0,
"price": 0,
"type": "basic"
},
"status": "undefined",
"transaction_id": 0
},
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}